# resolutionStrategy

abstract fun resolutionStrategy(@DelegatesTo(value = ResolutionStrategy::class, strategy = 1) closure: Closure): Configuration

The resolution strategy provides extra details on how to resolve this configuration. See docs for ResolutionStrategy for more info and examples.

#### Return

this configuration instance

#### Since

1.0-milestone-6

#### Parameters

closure

closure applied to the ResolutionStrategy

abstract fun resolutionStrategy(action: Action<in ResolutionStrategy>): Configuration

The resolution strategy provides extra details on how to resolve this configuration. See docs for ResolutionStrategy for more info and examples.

#### Return

this configuration instance

#### Since

3.1

#### Parameters

action

action applied to the ResolutionStrategy